---
inputType: "CA10__CaAzureSnapshot__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaAzureSnapshot__c/object.extracts.yaml
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "The Managed Disk Snapshot is 90 days old or more."
    remediationMessage: "Consider deleting or archiving the snapshot."
    check:
      IS_BEYOND_LAST_DAYS:
        offsetDays: 90
        arg:
          EXTRACT: "CA10__timeCreated__c"
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The Managed Disk Snapshot is less than 90 days old."